Description
Queries public connection information for a tenant in an OceanBase Cloud instance. Returns the public domain name, port, status, and associated proxy cluster configuration needed to connect to the database over the public network.
Call description
Prerequisites
You need an access key to call the multi-cloud API. For information about how to obtain an AccessKey ID and AccessKey Secret, see Manage access keys.
Request path
GET /api/v2/instances/{instanceId}/tenants/{tenantId}/publicaddress
Request parameters
Path
Parameter |
Type |
Required |
Description |
Example value |
|---|---|---|---|---|
| instanceId | String | Yes | OceanBase cluster ID. | obcluster-***** |
| tenantId | String | Yes | Tenant ID. | t4louaeei**** |
Query
Parameter |
Type |
Required |
Description |
Example value |
|---|---|---|---|---|
| requestId | String | Yes | Request ID used for tracing. | d04eabba**** |
Response parameters
Returns the connection information when a primary public address exists. Otherwise, returns an empty connection object without populating default service, address, or network types.
Field |
Type |
Description |
Example value |
|---|---|---|---|
| success | Boolean | Whether the request succeeded. | true |
| errorCode | String | Error code. | INVALID_PARAMETER |
| errorMessage | String | Error message. | Invalid parameter |
| data | Object | Response data. | None |
| cost | Number | Request duration. | 1.0 |
| server | String | Server address, typically the IP address of an OBServer node. | 10.0.0.10 |
| requestId | String | Request ID. | d04eabba**** |
| totalCount | Number | Total record count. | 100.0 |
| extra | Object | Additional information. | {} |
data object fields
Field |
Type |
Description |
Example value |
|---|---|---|---|
| tenantId | String | Tenant ID. | t4louaeei**** |
| vpcId | String | VPC identifier. | vpc-xxxx**** |
| userVpcOwnerId | String | ID of the account that owns the user VPC. | 20000600**** |
| vSwitchId | String | vSwitch ID. | vsw-xxxx**** |
| connectionZones | Array | Zones associated with the connection. | ["cn-hangzhou-i"] |
| connectionLogicalZones | Array | List of logical zones associated with the connection address. | ["cn-hangzhou-i"] |
| connectionReplicaType | String | Replica type accessed through the connection address. | FULL |
| tenantEndpointId | String | Supplemental tenant endpoint ID for multi-cloud v5. | te-xxxxx**** |
| addressId | String | In multi-cloud scenarios, this is the VIP service group name. | rs-private-internet-***** |
| addressStatus | String | Connection status. | ONLINE |
| serviceType | String | Service type of the primary public address. | OBPROXY_INTERNET |
| addressType | String | Type of the primary public address. | MASTER |
| networkType | String | Public network type. | INTERNET |
| role | String | Connection type: READWRITE (read/write) or READONLY (read-only). In some cases, the primary address also needs a read/write type. The primary address of a standby database is read-only. | READWRITE |
| userNameFormat | String | Username format for this address: one-part, two-part, or three-part. | USER_AND_TENANT_AND_CLUSTER |
| useSSL | Boolean | Whether SSL is enabled. | false |
| proxyClusterInfo | Object | ODP proxy cluster information associated with the tenant connection. | None |
| proxyClusterInfo.proxyClusterId | String | ODP proxy cluster ID. | proxy-12**** |
| proxyClusterInfo.proxyMode | String | ODP proxy mode. | DEDICATED |
| proxyClusterInfo.zone | String | Zone. | cn-hangzhou-i |
| proxyClusterInfo.unitSpec | String | Unit specification. | 2C4G |
| proxyClusterInfo.unitNum | Number | Number of units. | 1.0 |
| proxyClusterInfo.sharedUnitNumLimit | Integer | Maximum number of units for the proxy service in K8s shared mode. | 3 |
| proxyClusterInfo.exclusiveUnitNumLimit | Integer | Maximum number of units for the proxy service in K8s exclusive mode. | 3 |
| proxyClusterInfo.status | String | Current status of the task or resource. | ONLINE |
| proxyClusterInfo.proxyServiceVersion | String | Architecture version. | 4.2.1.0 |
| proxyClusterInfo.proxyVersion | String | Proxy version. | 4.2.1.0 |
| proxyClusterInfo.createTime | String | Creation time (UTC). | 2026-02-25T15:40:43+00:00 |
| proxyClusterInfo.expireTime | String | "2020-12-23T04:14:48Z" Expiration time. |
2020-12-23T04:14:48+00:00 |
| proxyClusterInfo.deployMode | String | Data replica mode (n/n-n/n-n-n). | 1-1-1 |
| proxyClusterInfo.maxUnitNum | Number | Maximum number of units for Serverless ODP scaling, from K8s ODPClusterSpec.maxUnitNum. | 3.0 |
| proxyClusterInfo.slaveZone | String | Zone of the standby node. Added for the commercial ODP offering and returned only for primary-standby deployments across two or three zones. | cn-hangzhou-i |
| proxyClusterInfo.nodeDistribution | String | Node distribution. Added for the commercial ODP offering; replaces deployMode. | cn-hangzhou-i:1,cn-hangzhou-j:1 |
| proxyClusterInfo.nodeCpu | Number | Node specification. Added for the commercial ODP offering; replaces unitSpec * unitNum. | 4.0 |
| proxyClusterInfo.nodeNum | Integer | Number of nodes. Added for the commercial ODP offering. | 3 |
| proxyClusterInfo.deploymentArchitecture | String | Deployment architecture, added for the commercial ODP offering. Existing ODP clusters that have not migrated to this offering return SINGLE_AZ_DEPLOYMENT, DUAL_AZ_DEPLOYMENT, or MULTI_AZ_DEPLOYMENT. | SINGLE_ZONE |
| proxyClusterInfo.proxyServerIds | Array[String] | ODP proxy node IDs. | ["resource-123456"] |
| proxyClusterInfo.enableArchitectureUpgrade | Boolean | Whether architecture upgrade is enabled. | true |
| odpVersion | String | ODP version. | 4.2.1 |
| readStrategyConfigResponse | Object | Read traffic policy configuration for the tenant connection address. | None |
| readStrategyConfigResponse.odpVersion | String | ODP version. | 4.2.1 |
| readStrategyConfigResponse.trafficStrategy | String | Traffic policy. | ZONE_FIRST |
| readStrategyConfigResponse.replicaParams | Array | Selected replicas. | None |
| readStrategyConfigResponse.replicaParams[].value | String | Parameter value. | prod |
| readStrategyConfigResponse.replicaParams[].weight | Integer | Weight. | 1 |
| readStrategyConfigResponse.replicaParams[].readOnlyReplicaType | String | Read-only replica type. | FULL |
| readStrategyConfigResponse.disasterRecoveryReplicaParams | Array | Disaster recovery replicas. | None |
| readStrategyConfigResponse.disasterRecoveryReplicaParams[].value | String | Parameter value. | prod |
| readStrategyConfigResponse.disasterRecoveryReplicaParams[].weight | Integer | Weight. | 1 |
| readStrategyConfigResponse.disasterRecoveryReplicaParams[].readOnlyReplicaType | String | Read-only replica type. | FULL |
| readStrategyConfigResponse.balancedStrategy | String | Balancing policy. | BALANCED |
| readStrategyConfigResponse.disasterRecoveryStrategy | String | Disaster recovery policy. Automatically queries the primary replica when a replica is unavailable. | PRIMARY_FIRST |
| addressMasterZoneId | String | Primary zone of the address. | cn-hangz**** |
| loadBalanceType | String | Load balancing type: NLB or CLB. Required only for Alibaba Cloud. | NLB |
| internetAddress | String | Public address. | 8.8.8.8 |
| internetPort | Integer | Public port. | 2881 |
| internetDomain | String | Public address. | pay-core-public.oceanbase.example.com |
| internetAddressStatus | String | Public address status. | ONLINE |
| internetMaxConnectionNum | Integer | Maximum number of public connections. | 10000 |
| internetMaxConnectionNumLimit | Integer | Upper limit on the maximum number of public connections. | 20000 |
| internetRpcPort | Integer | Public RPC port. | 2882 |
| internetProxyClusterId | String | Public proxy cluster ID. | proxy-12**** |
| internetLoadBalanceType | String | Load balancing type for the public address. | NLB |
| intranetAddress | String | Private address. | 10.0.0.10 |
| intranetPort | Integer | Private network port. | 2881 |
| intranetDomain | String | Private address. | pay-core-private.oceanbase.example.com |
| intranetAddressStatus | String | Private address status. | ONLINE |
| maxConnectionNum | Integer | Maximum number of private network connections. | 10000 |
| maxConnectionNumLimit | Integer | Upper limit for adjusting the maximum number of private connections. | 20000 |
| intranetRpcPort | Integer | Private network RPC port. | 2882 |
| enableRPc | Boolean | Whether RPC is enabled for Direct Load. | true |
| disableRpcReason | String | Reason why RPC cannot be enabled. | ODP proxy is not ready |
| intranetAddressMasterZoneId | String | Primary zone ID. | cn-hangz**** |
| intranetAddressSlaveZoneId | String | Standby zone ID. | cn-hangz**** |
| deleteSingleTunnelAddress | Boolean | Whether the primary private address on Alibaba Cloud can be deleted. | true |
| intranetProxyClusterId | String | Private network proxy cluster ID. | proxy-12**** |
| forceMigratedObproxyIntranetDeleteInternet | Boolean | Whether deleting the private address of a migrated primary address also deletes its public address, if one exists. | true |
| intranetLoadBalanceType | String | Load balancing type for the private address. | NLB |
| privateLinkList | Array | List of PrivateLink connections. | [{"privateLinkStatus": "ONLINE"}] |
| intranetPeeringAddress | String | Peering address. | 10.1.0.10 |
| intranetPeeringPort | Integer | Peering address port. | 2881 |
| intranetPeeringDomain | String | Peering address domain name. | pay-core-peering.oceanbase.example.com |
| intranetPeeringAddressStatus | String | Peering address status. | ONLINE |
| intranetPeeringMaxConnectionNum | Integer | Maximum number of connections for the peering address. | 10000 |
| peeringDstVpcId | String | Peer VPC ID. | vpc-peer**** |
| peeringDstCidrList | String | Peer CIDR block. | 10.1.0.0**** |
| peeringId | String | Peering connection ID. | pcx-xxxx**** |
| intranetPeeringProxyClusterId | String | Proxy cluster ID for the private peering address. | proxy-12**** |
| intranetRagPort | Integer | Private network RAG port. | 8080 |
| internetRagPort | Integer | Public network RAG port. | 8080 |
| internetRagAddress | String | Public network RAG address. | pay-core-rag-public.oceanbase.example.com |
| enableRagHttp | Boolean | Whether to enable the RAG HTTP port. | false |
| isVirtualServerGroup | Boolean | Virtual server group / primary-standby server group flag. Applies to instances migrated from Alibaba Cloud to OB Cloud. | false |
| isMigrated | Integer | Whether the cluster endpoint was migrated from Alibaba Cloud to OB Cloud. | 0 |
| userFormatConnStatus | String | Status of access using a one-part username. | ONLINE |
| userFormatConnUnsupportedReason | String | Reason why access using a one-part username cannot be enabled. | 2881 |
| rpcUserNameFormat | String | Username format when an RPC port is available: USER_AND_TENANT is the two-part format (for example, root@obtenant1), and USER_AND_TENANT_AND_CLUSTER is the three-part format (for example, root@obtenant1#obcluster1). By default, it matches userNameFormat. For colocated ODP on Azure, public SQL connections use the two-part format, while RPC connections use the three-part format. |
USER_AND_TENANT_AND_CLUSTER |
data.connectionLogicalZones[] element fields
Field |
Type |
Description |
Example value |
|---|---|---|---|
| data.connectionLogicalZones[] | String | List of logical zones associated with the connection address. | N/A |
data.connectionZones[] element fields
Field |
Type |
Description |
Example value |
|---|---|---|---|
| data.connectionZones[] | String | Zones associated with the connection. | N/A |
data.privateLinkList[] element fields
Field |
Type |
Description |
Example value |
|---|---|---|---|
| privateLinkStatus | String | PrivateLink provisioning status. | ONLINE |
| privateLinkServiceId | String | PrivateLink service ID. | resource**** |
| privateLinkEndpointId | String | PrivateLink endpoint ID. | resource**** |
| privateLinkEndpointVpcId | String | VPC ID of the PrivateLink endpoint. | vpc-xxxx**** |
| privateLinkEndpointSubnetId | String | Subnet ID of the PrivateLink endpoint. | resource**** |
| privateLinkServiceAccount | String | Primary account for the PrivateLink service. | 3 |
| privateLinkUserAccount | String | Account on the PrivateLink allowlist. | 3 |
| privateLinkDomain | String | Private domain name. | pay-core.oceanbase.example.com |
| intranetAddress | String | Private address. | 10.0.0.10 |
| intranetDomain | String | Private address. | pay-core-private.oceanbase.example.com |
| deletePrivateLink | Boolean | Whether the primary private address can be deleted. It cannot be deleted if it is associated with a global address. | true |
Examples
Request example
curl --digest -u '<Your AccessKey ID:AccessKey Secret>' \
-X GET \
'https://api-cloud.oceanbase.com/api/v2/instances/{instanceId}/tenants/{tenantId}/publicaddress?requestId=d04eabba****'
Response example
JSON format
{
"success": true,
"errorCode": null,
"errorMessage": null,
"data": {
"tenantId": "t4louaeei****",
"vpcId": "vpc-xxxx****",
"userVpcOwnerId": "20000600****",
"vSwitchId": "vsw-xxxx****",
"connectionZones": [
"cn-hangzhou-i"
],
"connectionLogicalZones": [
"cn-hangzhou-i"
],
"connectionReplicaType": "FULL",
"tenantEndpointId": "te-xxxxx****",
"addressId": "rs-private-internet-*****",
"addressStatus": "ONLINE",
"serviceType": "OBPROXY_INTERNET",
"addressType": "MASTER",
"networkType": "INTERNET",
"role": "READWRITE",
"userNameFormat": "USER_AND_TENANT_AND_CLUSTER",
"useSSL": false,
"proxyClusterInfo": {
"proxyClusterId": "proxy-12****",
"proxyMode": "DEDICATED",
"zone": "cn-hangzhou-i",
"unitSpec": "2C4G",
"unitNum": 1.0,
"sharedUnitNumLimit": 3,
"exclusiveUnitNumLimit": 3,
"status": "ONLINE",
"proxyServiceVersion": "4.2.1.0",
"proxyVersion": "4.2.1.0",
"createTime": "2026-02-25T15:40:43+00:00",
"expireTime": "2020-12-23T04:14:48+00:00",
"deployMode": "1-1-1",
"maxUnitNum": 3.0,
"slaveZone": "cn-hangzhou-i",
"nodeDistribution": "cn-hangzhou-i:1,cn-hangzhou-j:1",
"nodeCpu": 4.0,
"nodeNum": 3,
"deploymentArchitecture": "SINGLE_ZONE",
"proxyServerIds": [
"resource-123456"
],
"enableArchitectureUpgrade": true
},
"odpVersion": "4.2.1",
"readStrategyConfigResponse": {
"odpVersion": "4.2.1",
"trafficStrategy": "ZONE_FIRST",
"replicaParams": [
{
"value": "prod",
"weight": 1,
"readOnlyReplicaType": "FULL"
}
],
"disasterRecoveryReplicaParams": [
{
"value": "prod",
"weight": 1,
"readOnlyReplicaType": "FULL"
}
],
"balancedStrategy": "BALANCED",
"disasterRecoveryStrategy": "PRIMARY_FIRST"
},
"addressMasterZoneId": "cn-hangz****",
"loadBalanceType": "NLB",
"internetAddress": "192.0.2.10",
"internetPort": 2881,
"internetDomain": "pay-core-public.oceanbase.example.com",
"internetAddressStatus": "ONLINE",
"internetMaxConnectionNum": 10000,
"internetMaxConnectionNumLimit": 20000,
"internetRpcPort": 2882,
"internetProxyClusterId": "proxy-12****",
"internetLoadBalanceType": "NLB",
"intranetAddress": "192.0.2.10",
"intranetPort": 2881,
"intranetDomain": "pay-core-private.oceanbase.example.com",
"intranetAddressStatus": "ONLINE",
"maxConnectionNum": 10000,
"maxConnectionNumLimit": 20000,
"intranetRpcPort": 2882,
"enableRPc": true,
"disableRpcReason": "ODP proxy is not ready",
"intranetAddressMasterZoneId": "cn-hangz****",
"intranetAddressSlaveZoneId": "cn-hangz****",
"deleteSingleTunnelAddress": true,
"intranetProxyClusterId": "proxy-12****",
"forceMigratedObproxyIntranetDeleteInternet": true,
"intranetLoadBalanceType": "NLB",
"privateLinkList": [
{
"privateLinkStatus": "ONLINE",
"privateLinkServiceId": "resource****",
"privateLinkEndpointId": "resource****",
"privateLinkEndpointVpcId": "vpc-xxxx****",
"privateLinkEndpointSubnetId": "resource****",
"privateLinkServiceAccount": "3",
"privateLinkUserAccount": "3",
"privateLinkDomain": "pay-core.oceanbase.example.com",
"intranetAddress": "192.0.2.10",
"intranetDomain": "pay-core-private.oceanbase.example.com",
"deletePrivateLink": true
}
],
"intranetPeeringAddress": "192.0.2.10",
"intranetPeeringPort": 2881,
"intranetPeeringDomain": "pay-core-peering.oceanbase.example.com",
"intranetPeeringAddressStatus": "ONLINE",
"intranetPeeringMaxConnectionNum": 10000,
"peeringDstVpcId": "vpc-peer****",
"peeringDstCidrList": "10.1.0.0****",
"peeringId": "pcx-xxxx****",
"intranetPeeringProxyClusterId": "proxy-12****",
"intranetRagPort": 8080,
"internetRagPort": 8080,
"internetRagAddress": "pay-core-rag-public.oceanbase.example.com",
"enableRagHttp": false,
"isVirtualServerGroup": false,
"isMigrated": 0,
"userFormatConnStatus": "ONLINE",
"userFormatConnUnsupportedReason": "2881",
"rpcUserNameFormat": "USER_AND_TENANT_AND_CLUSTER"
},
"cost": 1.0,
"server": "xxx.xxx.x.xxx:xxx",
"requestId": "d04eabba****",
"totalCount": 100.0,
"extra": {}
}